Get process by identifier
curl --request GET \
--url https://sbx-{sandbox_id}-{workspace_id}.{region}.bl.run/process/{identifier} \
--header 'Authorization: Bearer <token>'import requests
url = "https://sbx-{sandbox_id}-{workspace_id}.{region}.bl.run/process/{identifier}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sbx-{sandbox_id}-{workspace_id}.{region}.bl.run/process/{identifier}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"command": "ls -la",
"completedAt": "Wed, 01 Jan 2023 12:01:00 GMT",
"exitCode": 0,
"logs": "logs output",
"name": "my-process",
"pid": "1234",
"startedAt": "Wed, 01 Jan 2023 12:00:00 GMT",
"status": "running",
"stderr": "stderr output",
"stdout": "stdout output",
"workingDir": "/home/user",
"keepAlive": false,
"maxRestarts": 3,
"restartCount": 2,
"restartOnFailure": true,
"stdin": false
}{
"error": "Error message"
}process
Get process by identifier
Get information about a process by its PID or name
GET
/
process
/
{identifier}
Get process by identifier
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Process identifier (PID or name)
Response
Process information
Example:
"ls -la"
Example:
"Wed, 01 Jan 2023 12:01:00 GMT"
Example:
0
Example:
"logs output"
Example:
"my-process"
Example:
"1234"
Example:
"Wed, 01 Jan 2023 12:00:00 GMT"
Available options:
failed, killed, stopped, running, completed Example:
"running"
Example:
"stderr output"
Example:
"stdout output"
Example:
"/home/user"
Whether scale-to-zero is disabled for this process
Example:
false
Example:
3
Example:
2
Example:
true
Whether the process was started with a writable stdin pipe
Example:
false
Last modified on October 6, 2026
Was this page helpful?